Redmine - Defect #41822

First icon on the Activity page is replaced with chevrons-left or chevrons-right in responsive mode
2024-11-22 04:02 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ul - Responsive Estimated time: 0.00 hour
Target version: 6.0.2

Resolution: Fixed Affected version: 6.0.1
Description

When viewing the Activity page in responsive mode (with a narrowed screen width), the first icon displayed on the page is replaced
by either a chevrons-left or chevrons-right icon.

This issue likely occurs because the logic for setting up the sidebar icons runs even when the sidebar is not present in responsive
mode. https://github.com/redmine/redmine/blob/master/app/assets/javascripts/application.js#L.1292-1.1300

In the following screenshot, the chevrons-right icon is displayed where the issue icon should normally appear:
screenshot 2024-11-22 11.55.23.png

Associated revisions

Revision 23307 - 2024-11-25 02:41 - Go MAEDA

Fix: Prevent sidebar toggle icons from affecting unrelated elements in responsive mode (#41822).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23313 - 2024-11-26 00:35 - Go MAEDA
Merged r23307 from trunk to 6.0-stable (#41822).

History

#1 - 2024-11-22 04:14 - Mizuki ISHIKAWA
- File screenshot 2024-11-22 12.13.03.png added

This phenomenon seems to occur on all pages with sidebars, not just activity page.

screenshot 2024-11-22 12.13.03.png

#2 - 2024-11-22 05:20 - Mizuki ISHIKAWA

The problem can be resolved by clearly specifying the target of the changes, as shown in the following diff:

diff --git a/app/assets/javascripts/application.js b/app/assets/javascripts/application.js
index 068ac98d8..eb52eb701 100644
-—— a/app/assets/javascripts/application.js
+++ b/app/assets/javascripts/application. js
@@ -1291,10 +1291,10 @@ function inlineAutoComplete (element) {

}i

var applyState = function() {

if (main.hasClass ('collapsedsidebar')) {

= updateSVGIcon (main[0], 'chevrons-left')

+ updateSVGIcon (document.getElementById('sidebar-switch-button'), 'chevrons-left')
setState ('hidden');
} else {

= updateSVGIcon (main[0], 'chevrons-right')
+ updateSVGIcon (document .getElementById('sidebar-switch-button'), 'chevrons-right')
setState ('visible');
}
bi

#3 - 2024-11-24 08:08 - Go MAEDA

- Status changed from New to Confirmed
https://github.com/redmine/redmine/blob/master/app/assets/javascripts/application.js#L1292-L1300

- Target version set to 6.0.2

#4 - 2024-11-25 02:41 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23307. Thank you.

#5 - 2024-11-26 00:35 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23313.
